# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/litepie/media_request/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/litepie/media_request/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Litepie\\MediaRequest\\": "packages/litepie/media_request/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Litepie\MediaRequest\Providers\MediaRequestServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'MediaRequest'  => Litepie\MediaRequest\Facades\MediaRequest::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Litepie\\MediaRequestTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\MediaRequest\Providers\MediaRequestServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\MediaRequest\Providers\MediaRequestServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\MediaRequest\Providers\MediaRequestServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/media_request/{modulename}

**User**

    http://path-to-route-folder/user/media_request/{modulename}

**Public**

    http://path-to-route-folder/media_requests


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/media_request/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/media_request/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/media_request/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/media_request/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/media_request/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/media_request/{modulename}/{slug}
    METHOD: GET