Lavalite package that provides media_request management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/media_request`.

    "litepie/media_request": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\MediaRequest\Providers\MediaRequestServiceProvider::class,

And also add it to alias

    'MediaRequest'  => Litepie\MediaRequest\Facades\MediaRequest::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\MediaRequestTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\MediaRequest\Providers\MediaRequestServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\MediaRequest\Providers\MediaRequestServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\MediaRequest\Providers\MediaRequestServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/media_request/{modulename}

**User**

    http://path-to-route-folder/user/media_request/{modulename}

**Public**

    http://path-to-route-folder/media_requests


### API endpoints

**List**

    http://path-to-route-folder/api/user/media_request/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/media_request/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/media_request/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/media_request/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/media_request/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/media_request/{modulename}/{slug}
    METHOD: GET