<?php

// web routes  for media_request
Route::prefix('{guard}/media_request')->group(function () {
    Route::resource('media_request', 'MediaRequestResourceController');
});

// Public routes for media_request
Route::get('media_requests/', 'MediaRequestPublicController@index');
Route::get('media_requests/{slug?}', 'MediaRequestPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'MediaRequestResourceController');
            });
            // Public routes for pages
            Route::get('media_requests/', 'MediaRequestPublicController@index');
            Route::get('media_requests/{slug?}', 'MediaRequestPublicController@show');
        }
    );
}

