<?php

namespace Litepie\MediaRequest;

use User;

class MediaRequest
{
    /**
     * $media_request object.
     */
    protected $media_request;

    /**
     * Constructor.
     */
    public function __construct(\Litepie\MediaRequest\Interfaces\MediaRequestRepositoryInterface $media_request)
    {
        $this->media_request = $media_request;
    }

    /**
     * Returns count of media_request.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.media_request.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->media_request->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\MediaRequestUserCriteria());
        }

        $media_request = $this->media_request->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('media_request::' . $view, compact('media_request'))->render();
    }
}
