<?php

namespace Litepie\MediaRequest\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MediaRequestTransformer extends TransformerAbstract
{
    public function transform(\Litepie\MediaRequest\Models\MediaRequest $media_request)
    {
        return [
            'id'                => $media_request->getRouteKey(),
            'key'               => [
                'public'    => $media_request->getPublicKey(),
                'route'     => $media_request->getRouteKey(),
            ], 
            'title'             => $media_request->title,
            'message'           => $media_request->message,
            'user_id'           => $media_request->user_id,
            'user_type'         => $media_request->user_type,
            'deleted_at'        => $media_request->deleted_at,
            'url'               => [
                'public'    => trans_url('media_request/'.$media_request->getPublicKey()),
                'user'      => guard_url('media_request/media_request/'.$media_request->getRouteKey()),
            ], 
            'status'            => trans('app.'.$media_request->status),
            'created_at'        => format_date($media_request->created_at),
            'updated_at'        => format_date($media_request->updated_at),
        ];
    }
}